caught segfault during qiime dada2 denoise-paired

Hi,

during using qiime dada2 denoise-paired functions I get an error that was related to the caugh segfault ‘memory not mapped’. I tried to fix this issue by reinstalling dada2 and qiime2 but it unfortunately did not help. I am using the latest version of qiime2 installed by following instructionis on qiime2.org (qiime2-2019.10). Do you have any idea, how can I fix the issue? Whole error output is here:
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /var/folders/r9/vnzr52b92m7_kxbbgyb98g180000gp/T/tmplw51oka_/forward /var/folders/r9/vnzr52b92m7_kxbbgyb98g180000gp/T/tmplw51oka_/reverse /var/folders/r9/vnzr52b92m7_kxbbgyb98g180000gp/T/tmplw51oka_/output.tsv.biom /var/folders/r9/vnzr52b92m7_kxbbgyb98g180000gp/T/tmplw51oka_/track.tsv /var/folders/r9/vnzr52b92m7_kxbbgyb98g180000gp/T/tmplw51oka_/filt_f /var/folders/r9/vnzr52b92m7_kxbbgyb98g180000gp/T/tmplw51oka_/filt_r 290 210 0 0 2.0 2.0 2 consensus 1.0 0 1000000

R version 3.6.1 (2019-07-05)
Loading required package: Rcpp

*** caught segfault ***
address 0x18, cause ‘memory not mapped’

Traceback:
1: dyn.load(file, DLLpath = DLLpath, …)
2: library.dynam(lib, package, package.lib)
3: loadNamespace(package, lib.loc)
4: doTryCatch(return(expr), name, parentenv, handler)
5: tryCatchOne(expr, names, parentenv, handlers[[1L]])
6: tryCatchList(expr, classes, parentenv, handlers)
7: tryCatch({ attr(package, “LibPath”) <- which.lib.loc ns <- loadNamespace(package, lib.loc) env <- attachNamespace(ns, pos = pos, deps, exclude, include.only)}, error = function(e) { P <- if (!is.null(cc <- conditionCall(e))) paste(" in", deparse(cc)[1L]) else “” msg <- gettextf(“package or namespace load failed for %s%s:\n %s”, sQuote(package), P, conditionMessage(e)) if (logical.return) message(paste(“Error:”, msg), domain = NA) else stop(msg, call. = FALSE, domain = NA)})
8: library(pkg, character.only = TRUE, logical.return = TRUE, lib.loc = lib.loc, quietly = quietly)
9: .getRequiredPackages2(pkgInfo, quietly = quietly)
10: library(dada2)
11: withCallingHandlers(expr, warning = function(w) invokeRestart(“muffleWarning”))
12: suppressWarnings(library(dada2))
An irrecoverable exception occurred. R is aborting now …
Traceback (most recent call last):
File "/Users/czechb3/miniconda3/envs/qiime2-2019.10/lib/python3.6/site-packages/q2_dada2/denoise.py", line 257, in denoise_paired
run_commands([cmd])
File "/Users/czechb3/miniconda3/envs/qiime2-2019.10/lib/python3.6/site-packages/q2_dada2/denoise.py", line 36, in run_commands
subprocess.run(cmd, check=True)
File “/Users/czechb3/miniconda3/envs/qiime2-2019.10/lib/python3.6/subprocess.py”, line 418, in run
output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command '[‘run_dada_paired.R’, '/var/folders/r9/vnzr52b92m7_kxbbgyb98g180000gp/T/tmplw51oka
/forward’, '/var/folders/r9/vnzr52b92m7_kxbbgyb98g180000gp/T/tmplw51oka
/reverse’, ‘/var/folders/r9/vnzr52b92m7_kxbbgyb98g180000gp/T/tmplw51oka_/output.tsv.biom’, ‘/var/folders/r9/vnzr52b92m7_kxbbgyb98g180000gp/T/tmplw51oka_/track.tsv’, ‘/var/folders/r9/vnzr52b92m7_kxbbgyb98g180000gp/T/tmplw51oka_/filt_f’, ‘/var/folders/r9/vnzr52b92m7_kxbbgyb98g180000gp/T/tmplw51oka_/filt_r’, ‘290’, ‘210’, ‘0’, ‘0’, ‘2.0’, ‘2.0’, ‘2’, ‘consensus’, ‘1.0’, ‘0’, ‘1000000’]’ died with <Signals.SIGSEGV: 11>.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/Users/czechb3/miniconda3/envs/qiime2-2019.10/lib/python3.6/site-packages/q2cli/commands.py”, line 328, in call
results = action(**arguments)
File “</Users/czechb3/miniconda3/envs/qiime2-2019.10/lib/python3.6/site-packages/decorator.py:decorator-gen-459>”, line 2, in denoise_paired
File “/Users/czechb3/miniconda3/envs/qiime2-2019.10/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 240, in bound_callable
output_types, provenance)
File “/Users/czechb3/miniconda3/envs/qiime2-2019.10/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 383, in callable_executor
output_views = self._callable(**view_args)
File “/Users/czechb3/miniconda3/envs/qiime2-2019.10/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 272, in denoise_paired
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code -11), please inspect stdout and stderr to learn more.

Hi @barthez!

Welcome to the forum!

It’s been a very long time since we’ve seen this issue. It used to arise when the QIIME 2 environment would mistakenly load a system version of DADA2 which was compiled against a different R. Do you have DADA2 installed in a system such as RStudio? If so, what does this command say when run inside a QIIME 2 environment:

R -e ".libPaths()"